fop 2.3

## org.apache.fop.layoutmgr
Class LayoutException.LayoutExceptionFactory

    java.lang.Object
      org.apache.fop.layoutmgr.LayoutException.LayoutExceptionFactory

Enclosing class:
  LayoutException

    public static class LayoutException.LayoutExceptionFactory

extends java.lang.Object

Exception factory for `LayoutException`.

Constructor Summary
`LayoutException.LayoutExceptionFactory()`

Method Summary
`java.lang.Throwable` `createException(Event event)`
`java.lang.Class<LayoutException>` `getExceptionClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutException.LayoutExceptionFactory

    public LayoutException.LayoutExceptionFactory()

Method Detail

### createException

    public java.lang.Throwable createException(Event event)

### getExceptionClass

    public java.lang.Class<LayoutException> getExceptionClass()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.